Subject: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: Stefan Monnier <[email-masked]>
Date: Mon, 27 Feb 2012 05:39:30 -0500

>> Tramp's knowledge of the semantics of "/sudo::" lets it simply turn
>> (file-equal-p "/sudo::/foo" "file:///foo") into (file-equal-p "/foo"
>> "file:///foo"), after which the url-handler-mode can do the same kind of
>> trivial reasoning.
> Hmm. Yes. How simple :-)

I suspect this simple approach wouldn't quite work in various corner
cases (e.g. when testing (file-equal-p "/sudo::/foo/bar" "file:///baz")
and where /foo/bar is a symlink to /baz, but where /foo is only
accessible to root ;-)

        Stefan